import { createApp } from 'vue';
import { _createI18n } from 'ChillMainAssets/vuejs/_js/i18n'
import { activityMessages } from './i18n'
import store from './store'

import App from './App.vue';

const i18n = _createI18n(activityMessages);

const hasSocialIssues = document.querySelector('#social-issues-acc') !== null;
const hasLocation = document.querySelector('#location') !== null;
const hasPerson = document.querySelector('#add-persons') !== null;

const app = createApp({
   template: `<app
       :hasSocialIssues="hasSocialIssues"
       :hasLocation="hasLocation"
       :hasPerson="hasPerson"
    ></app>`,
    data() {
       return {
           hasSocialIssues,
           hasLocation,
           hasPerson,
       };
    }
})
.use(store)
.use(i18n)
.component('app', App)
.mount('#activity');
