<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Controller;

use Chill\MainBundle\CRUD\Controller\ApiController;
use Symfony\Component\HttpFoundation\Request;

/**
 * Class LocationApiController.
 */
class LocationApiController extends ApiController
{
    public function customizeQuery(string $action, Request $request, $query): void
    {
        $query
            ->leftJoin('e.locationType', 'lt')
            ->andWhere(
                $query->expr()->andX(
                    $query->expr()->eq('e.availableForUsers', "'TRUE'"),
                    $query->expr()->eq('lt.availableForUsers', "'TRUE'"),
                    $query->expr()->eq('e.active', "'TRUE'"),
                )
            );
    }
}
