<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\Migrations\Person;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20210518135515 extends AbstractMigration
{
    public function down(Schema $schema): void
    {
        $this->addSql('UPDATE chill_person_person SET phonenumber = :pn WHERE phonenumber IS NULL', ['pn' => '']);
        $this->addSql('UPDATE chill_person_person SET mobilenumber = :pn WHERE mobilenumber IS NULL', ['pn' => '']);

        $this->addSql('ALTER TABLE chill_person_person ALTER phonenumber TYPE TEXT');
        $this->addSql('ALTER TABLE chill_person_person ALTER phonenumber DROP DEFAULT');
        $this->addSql('ALTER TABLE chill_person_person ALTER phonenumber SET NOT NULL');
        $this->addSql('COMMENT ON COLUMN chill_person_person.phonenumber IS NULL');

        $this->addSql('ALTER TABLE chill_person_phone ALTER phonenumber TYPE TEXT');
        $this->addSql('ALTER TABLE chill_person_phone ALTER phonenumber DROP DEFAULT');
        $this->addSql('COMMENT ON COLUMN chill_person_phone.phonenumber IS NULL');

        $this->addSql('ALTER TABLE chill_person_person ALTER mobilenumber TYPE TEXT');
        $this->addSql('ALTER TABLE chill_person_person ALTER mobilenumber DROP DEFAULT');
        $this->addSql('COMMENT ON COLUMN chill_person_person.mobilenumber IS NULL');
    }

    public function getDescription(): string
    {
        return '';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_person_person ALTER phonenumber TYPE VARCHAR(35)');
        $this->addSql('ALTER TABLE chill_person_person ALTER phonenumber DROP DEFAULT');
        $this->addSql('ALTER TABLE chill_person_person ALTER phonenumber DROP NOT NULL');
        $this->addSql('COMMENT ON COLUMN chill_person_person.phonenumber IS \'(DC2Type:phone_number)\'');

        $this->addSql('ALTER TABLE chill_person_phone ALTER phonenumber TYPE VARCHAR(35)');
        $this->addSql('ALTER TABLE chill_person_phone ALTER phonenumber DROP DEFAULT');
        $this->addSql('COMMENT ON COLUMN chill_person_phone.phonenumber IS \'(DC2Type:phone_number)\'');

        $this->addSql('ALTER TABLE chill_person_person ALTER mobilenumber TYPE VARCHAR(35)');
        $this->addSql('ALTER TABLE chill_person_person ALTER mobilenumber DROP DEFAULT');
        $this->addSql('COMMENT ON COLUMN chill_person_person.mobilenumber IS \'(DC2Type:phone_number)\'');

        $this->addSql('UPDATE chill_person_person SET phonenumber = NULL WHERE phonenumber=:pn', ['pn' => '']);
        $this->addSql('UPDATE chill_person_person SET mobilenumber = NULL WHERE mobilenumber=:pn', ['pn' => '']);
    }
}
